Skip to content

Get an inbound RTB

GET
/api/v1/inbound-rtb/{inbound_rtb_id}
curl --request GET \
--url https://external-api.moja-ai.com/api/v1/inbound-rtb/example \
--header 'X-API-Key: <X-API-Key>'
inbound_rtb_id
required
Inbound Rtb Id
string
X-API-Key
Any of:
string

Successful Response

Media typeapplication/json
InboundRtbResponse
object
id
required
Id
integer
inbound_rtb_id
required
Inbound Rtb Id
string
campaign_id
required
Campaign Id
string
campaign_name
Any of:
string
publisher_id
required
Publisher Id
string
publisher_name
Any of:
string
payout_mode
required
Payout Mode
string
payout_percentage
Any of:
number
duration_add_seconds
Any of:
integer
payout
Any of:
number
payout_condition
Any of:
string
payout_condition_duration
Any of:
integer
allocation_time_seconds
required
Allocation Time Seconds
integer
rate_limit
required
Rate Limit
integer
rate_period
required
Rate Period
string
is_active
required
Is Active
boolean
receive_mode
Receive Mode
string
default: dynamic
receive_number_id
Any of:
string
external_id
Any of:
string
created_at
Any of:
string format: date-time
updated_at
Any of:
string format: date-time
Example
{
"receive_mode": "dynamic"
}

Bad Request

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Unauthorized

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Not Found

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Conflict

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}

Too Many Requests

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}